import request from '@/utils/request'

// 查询余额日志列表
export function listBalanceLog(query) {
  return request({
    url: '/bst/balanceLog/list',
    method: 'get',
    params: query
  })
}

// 查询余额日志详细
export function getBalanceLog(id) {
  return request({
    url: '/bst/balanceLog/' + id,
    method: 'get'
  })
}

// 新增余额日志
export function addBalanceLog(data) {
  return request({
    url: '/bst/balanceLog',
    method: 'post',
    data: data
  })
}

// 修改余额日志
export function updateBalanceLog(data) {
  return request({
    url: '/bst/balanceLog',
    method: 'put',
    data: data
  })
}

// 删除余额日志
export function delBalanceLog(id) {
  return request({
    url: '/bst/balanceLog/' + id,
    method: 'delete'
  })
}
